<?php
/*
  $Id: auction_upload.php,v 1.0 2003/12/29 Auctionblox Exp $
 
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
 
  Copyright (c) 2003 osCommerce
  
  This file is part of the eBay Auction Manager for osCommerce
  http://www.auctionblox.com/oscommerce
 
  Copyright (c) 2003, AuctionBlox.com  
 
  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require(DIR_WS_FUNCTIONS . 'formatter.php');  
  require(DIR_WS_CLASSES . 'auction_helper.php');
  $auctionHelper = new auctionHelper();

  require(DIR_WS_CLASSES . 'auction_lister.php');
  $auctionLister = new auctionLister();

  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();
  
    switch ($_REQUEST['perform']) {
    case 'DeleteConfirm':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
	  foreach ($affectedItems as $key => $oID) 
	  {
      	 $auctionLister->deleteListing($oID);	  
	  }  			
      tep_redirect(tep_href_link(FILENAME_AUCTION_SAVED, tep_get_all_get_params(array('oID', 'action'))));
      break;
	  
	case 'AddToUploadConfirm':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
	  foreach ($affectedItems as $key => $oID) 
	  {
		 $oListing = $auctionLister->getListing($oID);
      	 $auctionLister->addToUpload($oListing);	  
	  }  			
      tep_redirect(tep_href_link(FILENAME_AUCTION_UPLOADS, tep_get_all_get_params(array('oID', 'action', 'perform'))));
      break;
  }

  //added for search function  
  $searchterms=array(
			array('id'=>"title",'text'=>'Listing Title'),
			array('id'=>"listing_type",'text'=>'Listing type'),
			array('id'=>"duration",'text'=>'Duration'),
			array('id'=>"price",'text'=>'Price'),
			array('id'=>"quantity",'text'=>'Quantity'),
			array('id'=>"last_modified",'text'=>'Last Updated'));
  
  if(isset($HTTP_GET_VARS['searchname']))
  {
	  $search = array(
  				"name" => $HTTP_GET_VARS['searchname'], 
				"value" => $HTTP_GET_VARS['searchvalue']);
  }

  if(isset($HTTP_GET_VARS['sortname']))
  {
	  $sort = array(
  				"name" => $HTTP_GET_VARS['sortname'], 
				"value" => $HTTP_GET_VARS['sortvalue']);
  }
  
  if($HTTP_GET_VARS['sortvalue'] == "desc") 
  {
  	$arrow_filename = "arrow_up_selected.gif";
	$next_array = "asc";
  }
  else
  {
    $arrow_filename = "arrow_down_selected.gif";
	$next_array = "desc";
  }

  	$listings = $auctionLister->getListings($HTTP_GET_VARS['page'], $auction_split, $sort, $search);
  
 
  // fail-safe  
//  if( !isset($HTTP_GET_VARS['status']))
//  {
//  }
  
  $checkAll = (isset($HTTP_GET_VARS['check']) ? $HTTP_GET_VARS['check'] : 'false');
  
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>
<script language="javascript">
	function submit_form(perform)
	{
		if(perform == 'AddToUpload')
		{
			document.forms['listings'].perform.value = '';
			document.forms['listings'].action = '<? echo FILENAME_AUCTION_SCHEDULER; ?>';
			document.forms['listings'].submit();
		}
		else
		{
			document.forms['listings'].perform.value = perform;
			document.forms['listings'].submit();
		}
	}
</script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<!-- header //-->
<?php
  require(DIR_WS_INCLUDES . 'header.php');
?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE . ' - ' . $HTTP_GET_VARS['status']; ?></td>
            <td class="smallText" align="right"><?php $auctionHelper->drawSearchForm(FILENAME_AUCTION_SAVED, $searchterms); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td>
		<?php echo tep_draw_form("listings", FILENAME_AUCTION_SAVED, tep_get_all_get_params()) ?>
		<?php echo tep_draw_hidden_field("perform", "nothing") ?>
		  <table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
	  
                <td class="dataTableHeadingContent" align="center">
<? 					if ($checkAll == 'true')
					{ echo '<a href="' . tep_href_link(FILENAME_AUCTION_SAVED, tep_get_all_get_params(array('check')) . 'check=false') . '">--</a>'; }
					else
					{ echo '<a href="' . tep_href_link(FILENAME_AUCTION_SAVED, tep_get_all_get_params(array('check')) . 'check=true') . '">X</a>'; }
?>
				</td>
	            <td class="dataTableHeadingContent"><?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_SAVED, HEADING_AUCTION_TITLE, "title");?></td>
    	        <td class="dataTableHeadingContent"><?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_SAVED, HEADING_AUCTION_TYPE, "listing_type");?></td>
        	    <td class="dataTableHeadingContent"><?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_SAVED, HEADING_AUCTION_DURATION, "duration");?></td>
	            <td class="dataTableHeadingContent"><?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_SAVED, HEADING_AUCTION_PRICE, "price");?></td>
        	    <td class="dataTableHeadingContent"><?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_SAVED, HEADING_AUCTION_QTY, "quantity");?></td>
        	    <td class="dataTableHeadingContent"><?php $auctionHelper->drawSortHeader(FILENAME_AUCTION_SAVED, HEADING_AUCTION_LAST_UPDATED, "last_modified");?></td>
            	<td class="dataTableHeadingContent" align="right">&nbsp;</td>
				
			  </tr>
			  
<?php
	$selected_item = $HTTP_GET_VARS['oID'];

    for ($i = 0, $n = sizeof($listings); $i < $n; $i++) 
	{
	  if($selected_item == null) $selected_item = $listings[$i]['id'];
	
      if($selected_item == $listings[$i]['id'] ) {
        echo '          <tr class="dataTableRowSelected">' . "\n";
      } else {
        echo '          <tr class="dataTableRow">' . "\n";
      }	

      echo '            <td class="dataTableContent" valign="top">';
	  if ($checkAll == 'true')
	  { echo tep_draw_checkbox_field('oID-' . $listings[$i]['id'], '',true) . '</td>'; }
	  else
	  { echo tep_draw_checkbox_field('oID-' . $listings[$i]['id']) . '</td>'; }

      echo '            <td class="dataTableContent" valign="top">' . $listings[$i]['title'] . '</td>' .
           '            <td class="dataTableContent" valign="top">' . $listings[$i]['listing_type'] . '</td>' .
           '            <td class="dataTableContent" valign="top">' . $listings[$i]['duration'] . '</td>' .
           '            <td class="dataTableContent" valign="top" align="right">' . $currencies->format($listings[$i]['price']) . '</td>' .
           '            <td class="dataTableContent" valign="top" align="right">' . $listings[$i]['quantity'] . '</td>' .
           '            <td class="dataTableContent" valign="top">' . tep_date_short($listings[$i]['last_modified']) . '</td>';
      echo '            <td class="dataTableContent" align="right">';

  	  // if no row is set, then select the top row
      if($selected_item == $listings[$i]['id'] ) 
	  { 
	  	echo tep_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); 
	  }
	  else
	  {
	    echo '<a href="' . tep_href_link(FILENAME_AUCTION_SAVED, tep_get_all_get_params(array('oID')) . 'oID=' . $listings[$i]['id']) . '">' . tep_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; 
	  }
	  echo '&nbsp;</td>';
	  echo '</tr>';
		   


//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['price'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['qty'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['insurance'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['shipping'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . tep_display_tax_value($auction_listings[$i]['tax']) . '%</td>'  . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['products_id'] . '</td>' . "\n";
//
		   

//           '            <td class="dataTableContent" valign="top">' . $order->products[$i]['name'];   echo '            </td>' . "\n" .
//           '            <td class="dataTableContent" valign="top">' . $order->products[$i]['model'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top">' . tep_display_tax_value($order->products[$i]['tax']) . '%</td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format($order->products[$i]['final_price'], true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax']), true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format($order->products[$i]['final_price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax']) * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n";

    }
?>	
              <tr>
              </tr>	  
                </table>
                <table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $auction_split->display_count_ex(TEXT_DISPLAY_NUMBER_OF_AUCTIONS); ?></td>
                    <td class="smallText" align="right"><?php echo $auction_split->display_links_ex(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y', 'oID'))); ?></td>
                  </tr>
                </table>				
				</td>
				
				
<?php

  $heading = array();
  $contents = array();
  
  switch ($_REQUEST['perform']) {
    case 'DeleteItems':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_DELETE_ITEMS . '</b>');

      $contents[] = array('text' => sprintf(TEXT_INFO_DELETE_ITEMS, count($affectedItems)));
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_confirm.gif', IMAGE_CONFIRM, "onclick=\"return submit_form('DeleteConfirm');\"") . ' <a href="' . tep_href_link(FILENAME_AUCTION_SAVED, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;

    default:
      $heading[] = array('text' => '&nbsp;');
      $contents[] = array('align' => 'left', 'text' => '<b>Single Action (Hi-lited Item)</b>');
      $contents[] = array('align' => 'left', 'text' => '<a href="' . tep_href_link(FILENAME_AUCTION_LISTER, tep_get_all_get_params(array('action', 'oID')) . 'perform=editListing&oID=' . $selected_item) . '">Edit Listing</a>');
	  $contents[] = array('align' => 'left', 'text' => '<a href="' . tep_href_link(FILENAME_AUCTION_LISTER, tep_get_all_get_params(array('action', 'oID')) . 'perform=copyListing&oID=' . $selected_item) . '">Copy Listing</a>');
      $contents[] = array('align' => 'left', 'text' => '<br/><br/><b>Bulk Action (Checked Items)</b>');
      $contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('DeleteItems');\">Delete Items</a>");
      $contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('AddToUpload');\">Add To Upload</a>");
	  break;
   }
		
      
		//$products = array();
		//$products_query_raw = "select products_name from " . TABLE_PRODUCTS_DESCRIPTION . " where products_id = " . $oInfo->product_id;
		//$products_query = tep_db_query($products_query_raw);
		//$product = tep_db_fetch_array($products_query);
		
	  	
//        $contents[] = array('align' => 'center', 'text' => '<a href="' . tep_href_link(FILENAME_ORDERS_INVOICE, 'oID=' . $oInfo->orders_id) . '" TARGET="_blank">' . tep_image_button('button_invoice.gif', IMAGE_ORDERS_INVOICE) . '</a> <a href="' . tep_href_link(FILENAME_ORDERS_PACKINGSLIP, 'oID=' . $oInfo->orders_id) . '" TARGET="_blank">' . tep_image_button('button_packingslip.gif', IMAGE_ORDERS_PACKINGSLIP) . '</a>');
//        $contents[] = array('text' => '<br>' . TEXT_DATE_ORDER_CREATED . ' ' . tep_date_short($oInfo->date_purchased));
//        if (tep_not_null($oInfo->last_modified)) $contents[] = array('text' => TEXT_DATE_ORDER_LAST_MODIFIED . ' ' . tep_date_short($oInfo->last_modified));
//        $contents[] = array('text' => '<br>' . TEXT_INFO_PAYMENT_METHOD . ' '  . $oInfo->payment_method);


  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
  
?>
          </tr>
        </table>
		</td>
      </tr>
    </table></td>
	</form>
	
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->
<!-- footer //-->
<?php
    require(DIR_WS_INCLUDES . 'footer.php');
?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
