<?php
/*
  $Id: abxShippingFixed.php,v 1.3 2005/04/07 08:37:02 auctionblox Exp $

  AuctionBlox, sell more, work less!
  http://www.auctionblox.com

  Copyright (c) 2004 AuctionBlox
*/

  class abxShippingFixed {

    function create(&$postvars)
    {
      global $abxDatabase;

      foreach($postvars['abxList'] as $key => $products_id) {

        $fixedShipping = &$abxDatabase->fetch_value('is_enabled', TABLE_ABX_FIXED_SHIPPING, 'products_id = ' . (int)$products_id . ' limit 1');

        if (empty($fixedShipping) === false) {

          $array = array(
            'is_enabled'           => $postvars['fixed_price_enabled'],
            'shipping'             => $postvars['products_domestic_shipping'],
            'shipping_addl'        => $postvars['products_domestic_additional_shipping'],
            'shipping_global'      => $postvars['products_global_shipping'],
            'shipping_global_addl' => $postvars['products_global_additional_shipping']
          );

          $abxDatabase->update(TABLE_ABX_FIXED_SHIPPING, $array, 'products_id = ' . (int)$products_id);

        } else {

          $array = array(
            'products_id'          => $products_id,
            'is_enabled'           => $postvars['fixed_price_enabled'],
            'shipping'             => $postvars['products_domestic_shipping'],
            'shipping_addl'        => $postvars['products_domestic_additional_shipping'],
            'shipping_global'      => $postvars['products_global_shipping'],
            'shipping_global_addl' => $postvars['products_global_additional_shipping']
          );

          $abxDatabase->insert(TABLE_ABX_FIXED_SHIPPING, $array);

       }

     }
    }

    function remove(&$abxList)
    {
      global $abxDatabase;

      return $abxDatabase->delete(TABLE_ABX_FIXED_SHIPPING, 'products_id in (' . implode(',', $abxList) . ')');
    }

    function update($oID,$flag)
    {
      global $abxDatabase;

      return $abxDatabase->update(TABLE_ABX_FIXED_SHIPPING, array('is_enabled' => $flag), 'products_id = ' . (int)$oID);
    }

    function getFixedShippingQuery($filter)
    {
      global $languages_id, $abxDatabase;

      $inclause = '';

      if (isset($filter) && strlen($filter) > 0) {

        $productsQuery = $abxDatabase->query("select products_id from (" . TABLE_PRODUCTS_TO_CATEGORIES . " p) left join " . TABLE_CATEGORIES_DESCRIPTION . " cd using (categories_id) where cd.categories_id = ".(int)$filter." and cd.language_id = " . (int)$languages_id);

        while($productsQuery->next())
          $inarray[] = $productsQuery->value('products_id');

        if (isset($inarray) === true) {

          $inclause = ' pd.products_id in (' . implode(',',$inarray) . ') and';

        } else {

          // basically return no products
          $inclause = ' pd.products_id in (0) and';

        }

      }

      return "select SQL_CALC_FOUND_ROWS pd.products_id as id, pd.products_name, pfs.is_enabled, pfs.shipping, pfs.shipping_addl, pfs.shipping_global, pfs.shipping_global_addl from " . TABLE_ABX_FIXED_SHIPPING . " pfs right join " . TABLE_PRODUCTS_DESCRIPTION . " pd using (products_id) where $inclause pd.language_id = " . (int)$languages_id;
    }

    function getFixedShippingProduct($id)
    {
      global $abxDatabase;

      return $abxDatabase->fetch_row("select is_enabled, shipping, shipping_addl, shipping_global, shipping_global_addl from " . TABLE_ABX_FIXED_SHIPPING . " where products_id = " . (int)$id);
    }

  }//end class
?>