<?php
/*
  $Id: templates.php,v 1.18 2007/06/23 01:31:28 auctionblox Exp $

  AuctionBlox, sell more, work less!
  http://www.auctionblox.com

  Copyright (c) 2004 AuctionBlox
*/

  require_once(DIR_FS_ABX_CLASSES . 'abxItemTemplates.php');
  require_once(DIR_FS_ABX_CLASSES . 'Page/abxPageFactory.php');  
  require_once DIR_FS_ABX_CLASSES . 'Page/abxCollatedPaginator.php';
  require_once(DIR_FS_ABX_CLASSES . 'catalog/abxCatalogService.php');
  
  class abxModule_Templates extends abxModule {

    function abxModule_Templates()
    {
      if (empty($_POST) === false)
        $this->process();
    }

    function process()
    {
      global $abx, $messageStack;

      $abxItemTemplates = new abxItemTemplates;

      switch($_POST['perform']) {

        case 'save':
          $_POST['description'] = $_POST['spaw2'];

          switch(next($abx)) {
            case 'edit':

              $abxItemTemplates->updateTemplate($_POST, $_POST['oID']);

              abxPage::redirect(abx_href_link(FILENAME_AUCTIONBLOX, 'abx=templates'.abxPage::getSearchParams()));

              break;

            case 'new':

              $abxItemTemplates->insertTemplate($_POST);

              abxPage::redirect(abx_href_link(FILENAME_AUCTIONBLOX, 'abx=templates'.abxPage::getSearchParams()));

              break;

            case 'copy':

              $abxItemTemplates->insertTemplate($_POST);

              abxPage::redirect(abx_href_link(FILENAME_AUCTIONBLOX, 'abx=templates'.abxPage::getSearchParams()));

              break;
          }

          break;

        case 'DeleteConfirm':

          $abxItemTemplates->deleteTemplates($_POST['abxList']);

          abxPage::redirect(abx_href_link(FILENAME_AUCTIONBLOX,'abx=templates'.abxPage::getSearchParams()));

          break;
      }

    }

    function display()
    {
      global $abx, $messageStack;

      $oID = (empty($_POST['oID']) === false) ? $_POST['oID'] : ((empty($_GET['oID']) === false) ? $_GET['oID'] : '');

      $abxItemTemplates = new abxItemTemplates;

      switch(next($abx)) {
        case 'edit':
        case 'copy':

          if(empty($oID) === true) {

            $messageStack->add_session(ERROR_TEXT_TEMPLATE_ID_NOT_FOUND, 'error');

            abxPage::redirect(abx_href_link(FILENAME_AUCTIONBLOX, 'abx=templates'.abxPage::getSearchParams()));

          }

        case 'new':
          $page = new abxPage;
          $page->includeLanguageFile('items_new');
          $page->setContentFile('items_new');
          $page->vars = $abxItemTemplates->newTemplate($oID,$_POST);
          break;

        default:
          $page = abxPageFactory::newPaginator('items_templates');
          $page->paginatorQuery( $abxItemTemplates->getTemplatesPaginatorQuery() );
          $page->includeLanguageFile('items_templates');
          $page->generatePaginatorContent();
          break;
      }

      return $page;
    }

  }//end class
?>